//+------------------------------------------------------------------+
//|                                    Meta COT: Sript Agregator.mq4 |
//|   Copyright  2010, C-4 (Vasiliy Sokolov, Russia, St.-Petersburg,|
//|                                2009, 2010), All Rights Reserved. |
//|                                                   vs-box@mail.ru |
//+------------------------------------------------------------------+

#property show_inputs
#property copyright "Copyright  2010, C-4 (Vasiliy Sokolov, SPb), All Rights Reserved."
#property link      "vs-box@mail.ru"

extern int period=52;
extern int movement_index=6;
#include <cotlib.mq4>
int start()
{
   string cot_report;
   int handle, k;
   if(init_data()==false)error=true;
   if(error==false)load_data();
   if(error==false)count_data();
   Print(cot_file);
   cot_report="Meta COT Report "+cot_file;
   Print(cot_report);
   handle=FileOpen(cot_report,FILE_WRITE|FILE_CSV,';');
   FileWrite(handle,
   "Data",                  
   "Open Interest",       
   "Noncomm Long",  
   "Noncomm Short", 
   "Operators Long",     
   "Operators Short",    
   "Nonrep Long",   
   "Nonrep Short",             
   "% Noncomm Long in OI",      
   "% Noncomm Short in OI",    
   "% Operators Long in OI",    
   "% Operators Short in OI", 
   "% Nonrep Long in OI",   
   "% Nonrep Short in OI",     
   "Net Noncomm", 
   "Net Operators",
   "Net Nonrep", 
   "Index OI", 
   "Index Noncomm",      
   "Index Operators",  
   "Index Nonrep",  
   "WILLCO Noncomm",            
   "WILLCO Operators",           
   "WIllCO Nonrep",          
   "Movement Index OI",      
   "Movement Index Noncomm",     
   "Movement Index Operators",   
   "Movement Index Nonrep"       
   );
   for(int i=0;i<n_str;i++){
      FileWrite(handle,
      TimeToStr(realize_data[i],TIME_DATE ),
      DoubleToStr(open_interest[i],0),
      DoubleToStr(noncomm_long[i],0),
      DoubleToStr(noncomm_short[i],0),
      DoubleToStr(operators_long[i],0),
      DoubleToStr(operators_short[i],0),
      DoubleToStr(nonrep_long[i],0),
      DoubleToStr(nonrep_short[i],0),
      DoubleToStr(oi_noncomm_long[i],2),
      DoubleToStr(oi_noncomm_short[i],2),
      DoubleToStr(oi_operators_long[i],2),
      DoubleToStr(oi_operators_short[i],2),
      DoubleToStr(oi_nonrep_long[i],2),
      DoubleToStr(oi_nonrep_short[i],2),
      DoubleToStr(net_noncomm[i],0),
      DoubleToStr(net_operators[i],0),
      DoubleToStr(net_nonrep[i],0),
      DoubleToStr(index_oi[i],2),
      DoubleToStr(index_ncomm[i],2),
      DoubleToStr(index_operators[i],2),
      DoubleToStr(index_nonrep[i],2),
      DoubleToStr(willco_ncomm[i],2),
      DoubleToStr(willco_operators[i],2),
      DoubleToStr(willco_nonrep[i],2),
      DoubleToStr(movement_oi[i],0),
      DoubleToStr(movement_ncomm[i],0),
      DoubleToStr(movement_operators[i],0),
      DoubleToStr(movement_nonrep[i],0)
      );
   }
   FileClose(handle);
   return(0);
}

